Subject: Re: possibly sort bug

From: Tomáš Kyselica <[email-masked]>
Date: Tue, 24 Feb 2015 10:01:15 +0100

same problem with:
sort all_nouns -t\t -k3,3 --stable
I think regardless of --stable it should sort third column so that all A1
are first (does not care how other columns are sorted), then all A2, all
B1, all B2, all C1, all C2,
but there are still problems at the end of sorted output.
I have updated via sudo apt-get update all packages, does not help.

On Tue, Feb 24, 2015 at 9:30 AM, Tomáš Kyselica <[email-masked]>
wrote:

> Dear Sir/Madam,
>
>   I have issuing this command:
>
> cat all_nouns.txt | cut -f1,3 | sort -t\t -k2,1
>
> I expected that second column will be sorted A1,A2,B1,B2,C1,C2, but it is
> only almost true; at the end of file, I see:
> C2
> ... [many C2]
> C2
> B1
> B1
> B2
> B2
> A2
> C1
> A2
> which is not sorted.
> Attaching the file.
>
> Regards
> Tomas Kyselica
>